Permalink
Browse files

add development dependencies to gemspec and Rakefile

This allows tests to be run via `rake` (needed for CI), and specifies
all required gems for testing so that bundler knows what to use for
testing.
  • Loading branch information...
1 parent 945516e commit 0b3af024ef14e7b7d873ba8f273c2ee133781100 @mroth mroth committed Dec 28, 2012
Showing with 8 additions and 0 deletions.
  1. +5 −0 Rakefile
  2. +3 −0 image_sorcery.gemspec
View
@@ -0,0 +1,5 @@
+require 'rspec/core/rake_task'
+
+RSpec::Core::RakeTask.new(:spec)
+
+task :default => :spec
View
@@ -15,4 +15,7 @@ Gem::Specification.new do |s|
s.files = Dir.glob("{lib}/**/*") + %w(README.markdown)
s.require_path = 'lib'
s.requirements = "ImageMagick or GraphicsMagick"
+
+ s.add_development_dependency('rspec', '~> 2.12.0')
+ s.add_development_dependency('rake','~> 10.0.2')
end

0 comments on commit 0b3af02

Please sign in to comment.